wine segfaults on winecfg

Bug #191575 reported by Markus
180
Affects Status Importance Assigned to Milestone
wine (Ubuntu)
High
Unassigned
Declined for Hardy by Stephan Rügamer

Bug Description

Binary package hint: wine

i have the following problem with wine 0.9.54-0ubuntu4 x86_64:

coolphoenix@eltarunl:~$ wine
Usage: wine PROGRAM [ARGUMENTS...] Run the specified program
       wine --help Display this help and exit
       wine --version Output version information and exit
coolphoenix@eltarunl:~$ wine --version
wine-0.9.54
coolphoenix@eltarunl:~$ winecfg
Segmentation fault (core dumped)
coolphoenix@eltarunl:~$ wineprefixcreate
Segmentation fault (core dumped)
coolphoenix@eltarunl:~$ wine [some .exe]
fixme:actctx:parse_depend_manifests Could not find dependent assembly L"Microsoft.Windows.Common-Controls"
Segmentation fault (core dumped)

coolphoenix@eltarunl:~$ ls .wine/
dosdevices drive_c system.reg user.reg

compiling wine from source with

sudo apt-get --build source wine

and installing gives the same errors, also official wine versions (testet 0.9.55, 0.9.54, 0.9.47)

so i'm not sure whether it's a porblem with wine directly or some of it's dependencies.

i would gladly use wine on hardy :(

Revision history for this message
Clay Weber (claydoh) wrote :

I can confirm that wine_0.9.55-0ubuntu1_i386 segfaults as well, though previous versions work fine.

Changed in wine:
status: New → Confirmed
Revision history for this message
Alessandro Scarozza (xan.scale) wrote :

i can confirm

:~$ winecfg
Segmentation fault

i use wine 0.9.55-0ubuntu1 and ubuntu hardy

with 0.9.54 i haven't this problem...

Revision history for this message
Vikrant (vikrant82) wrote :

Same here ... Core dumpppped!!!

0.9.55-0ubuntu1

Revision history for this message
Alessandro Scarozza (xan.scale) wrote :

where i can find wine 0.9.54? i need wine today.... plz...

Revision history for this message
Vikrant (vikrant82) wrote :
Revision history for this message
Alessandro Scarozza (xan.scale) wrote :

there isn't package for hardy!!!

Revision history for this message
David Tomaschik (matir) wrote :

Xan: If you're using Hardy, you should expect this sort of breakage. Hardy is an Alpha distribution, and it is perfectly acceptable for it to break at times. Run Gutsy if you need stability. That being said, the Gutsy version of 0.9.54 will probably run on Hardy just fine.

Revision history for this message
Alessandro Scarozza (xan.scale) wrote :

ok sorry,

I thought it was possible to download the old wine compiled for hardy.

wine compiled for gutsy cant install for break dependency

any idea of this problem?

Revision history for this message
Alessandro Scarozza (xan.scale) wrote :

Since I have not had problems with the 54, may not be a problem caused by another package?

Revision history for this message
Adam Klobukowski (adamklobukowski) wrote :

I traced problem with gdb on x86:

$ gdb --args wine ./Steam.exe
GNU gdb 6.7.1-debian
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/wine ./Steam.exe
[Thread debugging using libthread_db enabled]
[New Thread 0xb7cbb6b0 (LWP 22433)]
[New Thread 0xb7cbab90 (LWP 22436)]
[Thread 0xb7cbab90 (LWP 22436) exited]
[New process 22433]
[New process 22433]

Program received signal SIGSEGV, Segmentation fault.
0xb7d368ac in strxfrm_l () from /lib/tls/i686/cmov/libc.so.6
(gdb) bt
#0 0xb7d368ac in strxfrm_l () from /lib/tls/i686/cmov/libc.so.6
#1 0xb7e4d768 in wine_cp_wcstombs (table=0x7bf014c0, flags=32, src=0xe, srclen=-1076755168, dst=0x100000 "", dstlen=4, defchar=0xbfd204e4 "",
    used=0xbfd2040c) at wctomb.c:353
#2 0x7bc6be99 in ?? ()
#3 0x7bf014c0 in ?? ()
#4 0x00000020 in ?? ()
#5 0x0000000e in ?? ()
#6 0xbfd20520 in ?? ()
#7 0x00100000 in ?? ()
#8 0x00000004 in ?? ()
#9 0xbfd204e4 in ?? ()
#10 0xbfd2040c in ?? ()
#11 0xbfd20524 in ?? ()
#12 0xbfd20520 in ?? ()
#13 0x7bca249c in ?? ()
#14 0x7bca1760 in ?? ()
#15 0x7ffdf000 in ?? ()
#16 0x7c003138 in ?? ()
#17 0x00000000 in ?? ()

Daniel Hahler (blueyed)
Changed in wine:
importance: Undecided → High
Revision history for this message
drakesoft (powerschorsch21) wrote :

valgrind -v wine '/home/maxe/Desktop/Download/alt/dotnetfx.exe'
==7394== Memcheck, a memory error detector.
==7394== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==7394== Using LibVEX rev 1804, a library for dynamic binary translation.
==7394== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==7394== Using valgrind-3.3.0-Debian, a dynamic binary instrumentation framework.
==7394== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==7394==
--7394-- Command line
--7394-- wine
--7394-- /home/maxe/Desktop/Download/alt/dotnetfx.exe
--7394-- Startup, with flags:
--7394-- --suppressions=/usr/lib/valgrind/debian-libc6-dbg.supp
--7394-- -v
--7394-- Contents of /proc/version:
--7394-- Linux version 2.6.24-8-generic (buildd@yellow) (gcc version 4.2.3 (Ubuntu 4.2.3-1ubuntu2)) #1 SMP Thu Feb 14 20:13:27 UTC 2008
--7394-- Arch and hwcaps: X86, x86-sse1-sse2
--7394-- Page sizes: currently 4096, max supported 4096
--7394-- Valgrind library directory: /usr/lib/valgrind
--7394-- Reading syms from /lib32/ld-2.7.so (0x4400000)
--7394-- Reading debug info from /lib32/ld-2.7.so...
--7394-- ... CRC mismatch (computed fe089867 wanted 7204fa54)
--7394-- object doesn't have a symbol table
--7394-- Reading syms from /usr/bin/wine (0x8048000)
--7394-- Reading debug info from /usr/bin/wine...
--7394-- ... CRC mismatch (computed 54717024 wanted 06e554d3)
--7394-- Reading syms from /usr/lib/valgrind/x86-linux/memcheck (0x38000000)
--7394-- object doesn't have a dynamic symbol table
--7394-- Reading suppressions file: /usr/lib/valgrind/debian-libc6-dbg.supp
--7394-- Reading suppressions file: /usr/lib/valgrind/default.supp
--7394-- Reading syms from /usr/lib/valgrind/x86-linux/vgpreload_core.so (0x47E4000)
--7394-- Reading syms from /usr/lib/valgrind/x86-linux/vgpreload_memcheck.so (0x47EB000)
--7394-- Reading syms from /usr/lib32/libwine.so.1.0 (0x47F6000)
--7394-- Reading syms from /lib32/libpthread-2.7.so (0x4930000)
--7394-- Reading debug info from /lib32/libpthread-2.7.so...
--7394-- ... CRC mismatch (computed 74fb5800 wanted fdd5fd94)
--7394-- Reading syms from /lib32/libc-2.7.so (0x494C000)
--7394-- Reading debug info from /lib32/libc-2.7.so...
--7394-- ... CRC mismatch (computed 0e0a38f8 wanted ad0f8c5f)
--7394-- object doesn't have a symbol table
--7394-- Reading syms from /lib32/libdl-2.7.so (0x4A9F000)
--7394-- Reading debug info from /lib32/libdl-2.7.so...
--7394-- ... CRC mismatch (computed 3b20b98a wanted 9cabec5a)
--7394-- object doesn't have a symbol table
--7394-- REDIR: 0x49bff30 (memset) redirected to 0x47eed50 (memset)
--7394-- REDIR: 0x49c0420 (memcpy) redirected to 0x47efaa0 (memcpy)
--7394-- REDIR: 0x49bf0a0 (rindex) redirected to 0x47ee710 (rindex)
--7394-- REDIR: 0x49becd0 (strlen) redirected to 0x47ee9d0 (strlen)
--7394-- REDIR: 0x49beed0 (strncmp) redirected to 0x47eea30 (strncmp)
--7394-- REDIR: 0x49ba3b0 (calloc) redirected to 0x47ecb70 (calloc)
--7394-- REDIR: 0x49bbee0 (free) redirected to 0x47ed5f0 (free)
--7394-- REDIR: 0x49ba6a0 (malloc) redirected to 0x47eda50 (malloc)
--7394-- REDIR: 0x49be810 (strcpy) redirected to 0x47efd10 (strcpy)
Segmentation fault

Revision history for this message
Zem (internetschmuddel) wrote :

i can confirm this

Kubuntu 8.04
wine 0.9.55-0ubuntu1

:~$ wine --version
wine-0.9.55
:~$ winecfg
Segmentation fault (core dumped)
: ~$ whatever.exe
Segmentation fault (core dumped)

had no problem with wine 0.9.54

Revision history for this message
berg (berg-foss) wrote :
Download full text (4.9 KiB)

confirm here. I tested with previous kernel (2.6.24-7) but the error seems in wine. :(

Using the command learnt with the guys before:

myloginz@berg-desktop:~/.wine/drive_c/Arquivos de programas/eMule$ gdb --args wine emule.exe
GNU gdb 6.7.1-debian
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/wine emule.exe
[Thread debugging using libthread_db enabled]
[New Thread 0xb7d419f0 (LWP 8916)]
[New Thread 0xb7d40b90 (LWP 8919)]
[Thread 0xb7d40b90 (LWP 8919) exited]
[New process 8916]
[New process 8916]

Program received signal SIGSEGV, Segmentation fault.
0xb7d328ac in ?? ()
(gdb) bt
#0 0xb7d328ac in ?? ()
#1 0xb7e47768 in ?? () from /lib/tls/i686/cmov/libc.so.6
#2 0x7bf014c0 in ?? ()
#3 0xb7f41c20 in uni2cp_low () from /usr/bin/../lib/libwine.so.1
#4 0x00000020 in ?? ()
#5 0xb7e4526a in registerrpc () from /lib/tls/i686/cmov/libc.so.6
#6 0x7bc87434 in ?? ()
#7 0x7bc87434 in ?? ()
#8 0xbfa0f1b8 in ?? ()
#9 0x7bc6be99 in ?? ()
#10 0x7bf014c0 in ?? ()
#11 0x00000020 in ?? ()
#12 0x0000000e in ?? ()
#13 0xbfa0f1a0 in ?? ()
#14 0x00100000 in ?? ()
#15 0x00000004 in ?? ()
#16 0xbfa0f164 in ?? ()
#17 0xbfa0f08c in ?? ()
#18 0xbfa0f1a4 in ?? ()
#19 0xbfa0f1a0 in ?? ()
#20 0x7bca249c in ?? ()
#21 0x7bca1760 in ?? ()
#22 0x7ffdf000 in ?? ()
#23 0x7c003138 in ?? ()
(gdb) q
The program is running. Exit anyway? (y or n) y
myloginz@berg-desktop:~/.wine/drive_c/Arquivos de programas/eMule$ valgrind -v wine emule.exe
==8952== Memcheck, a memory error detector.
==8952== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==8952== Using LibVEX rev 1804, a library for dynamic binary translation.
==8952== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==8952== Using valgrind-3.3.0-Debian, a dynamic binary instrumentation framework.
==8952== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==8952==
--8952-- Command line
--8952-- wine
--8952-- emule.exe
--8952-- Startup, with flags:
--8952-- --suppressions=/usr/lib/valgrind/debian-libc6-dbg.supp
--8952-- -v
--8952-- Contents of /proc/version:
--8952-- Linux version 2.6.24-7-generic (buildd@palmer) (gcc version 4.2.3 (Ubuntu 4.2.3-1ubuntu1)) #1 SMP Thu Feb 7 01:29:58 UTC 2008
--8952-- Arch and hwcaps: X86, x86-sse1
--8952-- Page sizes: currently 4096, max supported 4096
--8952-- Valgrind library directory: /usr/lib/valgrind
--8952-- Reading syms from /lib/ld-2.7.so (0x4000000)
--8952-- Reading debug info from /lib/ld-2.7.so...
--8952-- ... CRC mismatch (computed b93a03d2 wanted 46e85b4d)
--8952-- object doesn't have a symbol table
--8952-- Reading syms from /usr/bin/wine (0x8048000)
--8952-- Reading debug info from /usr/bin/wine...
--8952-- ... CRC mismatch (computed 1d07b2de wanted 7197b9e4)
--8952-- Reading syms from /usr/lib/valgrind/x86-linux/me...

Read more...

Revision history for this message
Marvin Hankley (marvin-hankley) wrote :

Same here on Hardy x86. Official deb of previous version works well.

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

I rebuild the wine package for myself without stripping the symbols:

sudo apt-get build-dep wine
apt-get source wine
cd wine-0.9.55
export DEB_BUILD_OPTIONS=nostrip
dpkg-buildpackage -rfakeroot -us -uc
cd ..
sudo dpkg -i wine_0.9.55-0ubuntu1_i386.deb

And now my wine 0.9.55 runs perfectly without any errors.. I hoped to provide a more indepth error report but there seems to be a packaging error due to a incompatible library with the current hardy set.
I'll try to build a normal package later to verify that is was only an older library included or something. If people are willing to try this without the nostrip they are welcome.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

Hi Jurjen,

interessting. The fun part behind that is, that i386 packages are being stripped, but amd64 are not being stripped. But on both architectures we see the segfaults.
And which incompatible library was used.

Would be cool and nice if you can provide this info.

in the meantime, I'm building the i386 package without stripping and let's see.

thx for your work :)

\sh

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

More information:

ubuntu version hardy haron updated till head
building on a AMD64 machine with ubuntu i386 architecture binaries installed (a bit of legacy)
the library ramble was just my second guessing by looking at the dumps.. just ignore that for now

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

So, we are still with the bug eventually in "stripped binaries".

Thx,

\sh

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

What I expected.. it was the rebuild and not the stripping that did the job.
So here is the output of ./configure so you can match it with yours to find the differences. I probably have some package or a version of it installed that is different from the clean build on the server.

Revision history for this message
Lorenzo Taylor (lorenzo.taylor) wrote : Re: [Bug 191575] wine segfaults on winecfg

I still get the same segfault building from source with and without
using the nostrip option. Maybe it's an AMD64 thing. I am building the
AMD64 version here.

Revision history for this message
zenrox (kergan) wrote :

i tried the no strip option and still seg faults on i386

Revision history for this message
Jonh Wendell (wendell) wrote :

The fact of the package is built with or without debug symbols has not to do with the crash. I just rebuilt the package here and it worked fine.

I second that it must be some library's fault, not wine itself.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

the question here: which library.

I'm building wine with clean chroots and pbuilders and I always get segfaults.
So, doing it in clean chroots etc. is just the way it compiles on our buildd..

the only change I saw was a new upload of gcc 4.2.2.2 to gcc 4.2.2.3 between wine 0.9.54 and 0.9.55...
But then, 0.9.54 shouldn't work either.

\sh

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

It gets stranger here.
After success with my own builds I reinstalled the version of Stephan and now it works. Anybody else also has this observation? Is one of the other updates today responsible?
I cannot be of much assistance here now because the error is not reproducible by me anymore. I could make my rebuild packages available if that would help.

Revision history for this message
Leon (leonbo) wrote :

Does not work (segfaulting):
mkdir ~/src
cd ~/src
sudo -i
apt-get build-dep wine && apt-get source --build wine

This does work:
mkdir ~/src
cd ~/src
sudo -i
apt-get source wine
cd wine-0.9.55
./configure
make depend && make
sudo make install

(for me)

Revision history for this message
fragro (frank-grossmann) wrote :

builded by apt-build doesnt work! (segfault too)

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

More information on the difference between my build and the clean build (build a pbuilder environment)

--- output_clean 2008-02-19 16:19:41.000000000 +0100
+++ output 2008-02-18 17:41:35.000000000 +0100
@@ -454,14 +454,14 @@
 checking for X11/extensions/xf86vmode.h... yes
 checking for XkbQueryExtension in -lX11... yes
 checking for -lXcursor... libXcursor.so.1
-checking for -lXi... not found
+checking for -lXi... libXi.so.6
 checking for XShmQueryExtension in -lXext... yes
 checking for XShapeQueryExtension in -lXext... yes
 checking for XF86VidModeQueryExtension in -lXxf86vm... yes
 checking for -lXrender... libXrender.so.1
 checking for XRenderSetPictureTransform in -lXrender... yes
 checking for -lXrandr... libXrandr.so.2
-checking for -lXinerama... not found
+checking for -lXinerama... libXinerama.so.1
 checking for -lXcomposite... libXcomposite.so.1
 checking for GL/gl.h... yes
 checking for GL/glx.h... yes
@@ -555,7 +555,7 @@
 checking for -lssl... libssl.so.0.9.8
 checking for -lcrypto... libcrypto.so.0.9.8
 checking for -ljpeg... libjpeg.so.62
-checking for -lpng... libpng12.so.0
+checking for -lpng12... libpng12.so.0
 checking for -lodbc... not found
 checking for gcc strength-reduce bug... no
 checking whether the compiler supports -fshort-wchar... yes
@@ -1065,6 +1065,7 @@
 config.status: creating tools/wmc/Makefile
 config.status: creating tools/wrc/Makefile
 config.status: creating include/config.h
+config.status: include/config.h is unchanged
 config.status: executing include/stamp-h commands
 config.status: executing dlls/gdi32/enhmfdrv commands
 config.status: executing dlls/gdi32/mfdrv commands
@@ -1073,8 +1074,7 @@
 config.status: executing dlls/wineps.drv/data commands
 config.status: executing include/wine commands

-configure: libxi development files not found, the Xinput extension won't be supported.
-configure: libxinerama development files not found, multi-monitor setups won't be supported.
+configure: libpng development files not found, PNG won't be supported.

 configure: Finished. Do 'make depend && make' to compile Wine.

So in my version the Xi and Xinerama libraries were linked and not the in clean build.
Another curious change is that png library that is differently linked but to the same file and it is told that that is not supported.

So if people can try with the following packages extra installed: libxinerama-dev libxi-dev
The png library is not differently installed so I cannot point where that difference came from.

Hope this helps a bit.

Revision history for this message
Jurjen Stellingwerff (jurjen-stwerff) wrote :

The lpng12 vs lpng difference was due to 2 patches provided in the debian/paches directory.
They seem to be out of order because the build used libpng before the paches but skipped it afterwards. But my version had them automatically applied so they skipped png but the clean version would skip them also after applying the patches.

Revision history for this message
Che Guevara (che-guevara-3) wrote :

strace output

Revision history for this message
qwertie (jirka-silhan) wrote :

I got this:

.
.
.
dpkg-shlibdeps: warning: debian/wine/usr/lib/wine/start.exe.so shouldn't be linked with libm.so.6 (it uses none of its symbols).
dpkg-shlibdeps: warning: debian/wine/usr/lib/wine/crtdll.dll.so shouldn't be linked with libm.so.6 (it uses none of its symbols).
dpkg-shlibdeps: warning: debian/wine/usr/lib/wine/ddrawex.dll.so shouldn't be linked with libm.so.6 (it uses none of its symbols).
.
.
.

in compilation by :

sudo apt-get build-dep wine
apt-get source wine
cd wine-0.9.55
export DEB_BUILD_OPTIONS=nostrip
dpkg-buildpackage -rfakeroot -us -uc
cd ..
sudo dpkg -i wine_0.9.55-0ubuntu1_i386.deb

the result is SEGFAULTing - so i think - is there bad version of libm?

Revision history for this message
Che Guevara (che-guevara-3) wrote :

Those warnings should be harmless

Revision history for this message
qwertie (jirka-silhan) wrote :

i solved my SEGFAULTs by installing deb package wine_0.9.55 for gutsy form WineHQ..

Revision history for this message
David Tomaschik (matir) wrote :

I can confirm that the Gutsy/WineHQ 0.9.55 works on Hardy.

My understanding is that the same packager now handles both -- or am I wrong?

Revision history for this message
Fred (eldmannen+launchpad) wrote :

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

wine-0.9.55

I also have problem with wine.

$ wine --version works
wine-0.9.55
$ wine notepad.exe
Segmentation fault (core dumped)

Revision history for this message
Nobu (benjo316) wrote :

David Tomaschik:
> I can confirm that the Gutsy/WineHQ 0.9.55 works on Hardy.

Did you download it from the website, or enable the repository? I just enabled the repo on my computer, cleared the wine package from the apt cache, then reinstalled it(It downloaded the package, so I know it wasn't the old one), but I'm still getting a segmentation fault.

> super@nobu-desktop:~$ uname -a
> Linux nobu-desktop 2.6.24-8-generic #1 SMP Thu Feb 14 20:13:27 UTC 2008 x86_64 GNU/Linux

Revision history for this message
qwertie (jirka-silhan) wrote :
Revision history for this message
Scott Ritchie (scottritchie) wrote :

The Gutsy packages are built with a forced old GCC version. The Hardy ones currently aren't. This is likely our problem.

Revision history for this message
rasta_freak (rasta-freak) wrote :

One more question: why is hardy package for wine distributed in unstripped form? Did they hope it will work that way or they didn't build it properly? Difference is ~10 vs ~35 MB in download, and ~50 vs ~100 MB when installed (unpacked). That's a huge diff - 50 MB for nothing (except debugging).

Revision history for this message
Mikael Gerdin (mgerdin) wrote : Re: [Bug 191575] Re: wine segfaults on winecfg

On Thursday 21 February 2008 13:17:40 rasta_freak wrote:
> One more question: why is hardy package for wine distributed in
> unstripped form? Did they hope it will work that way or they didn't
> build it properly? Difference is ~10 vs ~35 MB in download, and ~50 vs
> ~100 MB when installed (unpacked). That's a huge diff - 50 MB for
> nothing (except debugging).

The wine package size is related to bug #185513 and seems to be because the
debug-symbol generation, which is implemented as a wrapper around dh_strip
fails to run on the wine-package, this failure is ignored to make wine build
at all and wine is distributed in unstripped form.

Revision history for this message
Cleber Santz (clebersantz) wrote :

same here

$ winecfg
Segmentation fault (core dumped)

$ uname -a
Linux clbr 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux

$ dpkg -l wine
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii wine 0.9.55-0ubuntu Microsoft Windows Compatibility Layer (Binar

Revision history for this message
Cleber Santz (clebersantz) wrote :

    Installing from http://wine.budgetdedicated.com/archive/ubuntu/gutsy/wine_0.9.55~winehq0~ubuntu~7.10-1_i386.deb wine works, but from repository get "segmentation fault"

Revision history for this message
Austin English (austinenglish) wrote :

Scott Richie asked me to comment here:

This is in a feisty vm running on a Windows XP host. I build wine from git daily, in ~/wine-git/, but use WineHQ's repository to keep a copy of the current stable release for bug testing (easier than recompiling the stable each time I want to test it). My git copy runs fine, as did wine 0.9.54 from WineHQ. However, whenever I installed wine-0.9.55 from WineHQ, it's failing every time. Gcc version is gcc (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4). Backtrace from the crash I'm seeing is attached. Please let me know if any more information is needed.

Revision history for this message
Lorenzo Taylor (lorenzo.taylor) wrote : Re: [Bug 191575] wine segfaults on winecfg

it's package from this archive:
http://wine.budgetdedicated.com/archive/index.html

Hmm. This is very odd. Somehow this package does work. Any idea why the
Gutsy version works but the Hardy version doesn't? Is there some kind of
library dependency that is needed by the Hardy version of Wine 0.9.55
that is still in the Hardy repo at the Gutsy version?

Revision history for this message
Lorenzo Taylor (lorenzo.taylor) wrote : Re: [Bug 191575] Re: wine segfaults on winecfg

If the Gutsy version of wine needs an old gcc, there should be a way to
patch it to use the newer gcc. AFAIK that old gcc is removed in Hardy.

Revision history for this message
Mikael Gerdin (mgerdin) wrote :

I tried to build the latest wine from hardy on a i386-machine with forced usage of gcc 4.1 and it works without segfaults, so there seems to be something with gcc 4.2 that breaks wine in hardy. I haven't tried building it "cleanly" with pbuilder because I don't know of a good way to force compiler except exporting CC, CXX and CPP env. variables.

Revision history for this message
Bryan Donlan (bdonlan) wrote :

Exporting CC from within debian/rules (in pbuilder) doesn't seem enough (gcc-4.1 *is* used however). I'm trying with CXX and CPP as well now, but it'll be another hour or so to build on my machine.

Revision history for this message
Bryan Donlan (bdonlan) wrote :

exporting CC/CXX/CPP to gcc-4.1, g++-4.1, cpp-4.1 (with gcc 4.1.3 installed) from debian/rules and building in pbuilder successfully causes gcc-4.1 to be invoked, but the result still segfaults immediately.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

@Mikael:

wine 0.9.54 was build using gcc 4.2.2.2 and it worked without any segfaults.

The only change between 0.9.54 and 0.9.55 was an upload of gcc 4.2.2.3.
there some broken other libs and some changes in build-deps regarding X libs, I resolved most of them by now, the only lib left is ncurses, which ftbfs because of wrong locations of the 32bit lib, which was changed for ubuntu.

this is a todo on my list, when Matthias Klose doesn't fix it...but in the moment my real work is high prio and ubuntu low prio.

Regards,

\sh

Revision history for this message
Nobu (benjo316) wrote :

I wrote:
>Did you download it from the website, or enable the repository? I just enabled the repo on my computer, cleared the wine package from the apt cache, then reinstalled it(It downloaded the package, so I know it wasn't the old one), but I'm still getting a segmentation fault.

Apparently the package in the Ubuntu repos are considered a later version. I retract my previous statement.
Also, wine version 0.9.55~winehq0~ubuntu~7.10-1 from the wine repos does work.

I apologize for the misinformation provided earlier.

Revision history for this message
rubenvb (vanboxem-ruben-deactivatedaccount) wrote :

btw won't wine 0.9.55 be replaced soon with the 0.9.56 which was released today?

I can also confirm the amd64 gutsy package works from the wine archive.

Revision history for this message
jyio (inportb) wrote :

Absolutely, and debs are available here:
http://ubuntuforums.org/showthread.php?p=4390655

It works; good stuff.

Revision history for this message
Stephen Cradock (s-cradock) wrote :

Confirm that the i386 version works; but I did notice that the control button symbols in the program window (which were all "x" in 0.9.54, and were correctly "-", "resize" and "x" in 0.9.55) are now all ">" in 0.9.56. I'm not sure I'm prepared to say that trivial errors like this show "good stuff".

Revision history for this message
Nobu (benjo316) wrote :

Stephen Cradock:

I believe that has something to do with this bug:
http://bugs.winehq.org/show_bug.cgi?id=10660

Revision history for this message
Stephen Cradock (s-cradock) wrote :

Ouch! - that would explain it, wouldn't it? Let's all hope it can be sorted out soon.

Revision history for this message
rubenvb (vanboxem-ruben-deactivatedaccount) wrote :

I actually meant the 0.9.56 version being in the hardy repos (or isn't a new version updated, even for alpha releases?)

Revision history for this message
verb3k (verb3k) wrote :

I hope 0.9.56 will replace 0.9.55 in Hardy, may be difficult but it's worth the effort.

Revision history for this message
Lorenzo Taylor (lorenzo.taylor) wrote :

Would it be at all possible for someone to privately shoot me a copy of
the AMD64.deb? I followed the rapidshare link, but it only took me
around in a circle and asked for an access code which was never
provided. Thanks for any help.

Revision history for this message
echoes (echoes-deactivatedaccount) wrote :

no 0.9.56 will not be in hardy as the feature freeze is already in effect, which leads me to the original reason i was going to comment in this bug...
might this be fixed by pushing 0.9.56 in hardy via a FFe (feature freeze exception for those that don't know)?

Revision history for this message
Pelládi Gábor (pelladigabor) wrote :

According to https://wiki.ubuntu.com/StableReleaseUpdates
"For Universe and Multiverse SRU's FTBFS, not installable, and segfault on startup ( e.g. completely un-usable ) can also be considered"
I think, because wine is currently completely un-usable, including 0.9.56, if it fixes the bug would be a good solution.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

There will be a new wine version in hardy, just because we know at least what the problem could be.
There is a fix coming along, and looks like 0.9.57 is a good candidate.

We all know that, and we will provide a working wine version for hardy.

Regards,
\sh

Revision history for this message
Alvaro Leal (Effenberg0x0) (effenberg0x0) wrote :

Hello, I have Wine and Cross Over Office installed for a year or more and it survived Ubuntu updates since Dapper transparently. Since I updated to Hardy I noticed the Windows Applications were still running normally, but winecfg was crashing (for both CXOffice and Wine 0.9.54 and 0.9.55 from Ubuntu repositories and wineHQ).

I thought it was a good idea to use Synaptics to fully remove both CXOffice and Wine, remove ~/.wine directory as well as any remaining wine apps system wide and re-install Wine 0.9.55 with Synaptics. Well, I should had browsed Launchpad a little before doing that... Now I am having the same problems you are all describing above and it is impossible to run any WIndows app. WIne won't even create ~/.wine directory without segfaulting.

I have also tried 0.9.54 and 0.9.55 debs from WineHQ with the same results.
Right now I am trying to compile from source (it will take a while here) and I'll post the results soon.

So, is there any conclusion on how to work around this?

Regards,
Effenberg

Revision history for this message
Alvaro Leal (Effenberg0x0) (effenberg0x0) wrote :

It didn't work :(

effenberg@effenberg-mobile:~$ winecfg
wine: creating configuration directory '/home/effenberg/.wine'...
Segmentation fault
wine: wineprefixcreate failed while creating '/home/effenberg/.wine'.
effenberg@effenberg-mobile:~# wineserver: could not save registry branch to /home/effenberg/.wine-yVqBLM/system.reg : No such file or directory
wineserver: could not save registry branch to /home/effenberg/.wine-yVqBLM/userdef.reg : No such file or directory
wineserver: could not save registry branch to /home/effenberg/.wine-yVqBLM/user.reg : No such file or directory

Regards,
Effenberg

Revision history for this message
echoes (echoes-deactivatedaccount) wrote :

someone on the ubuntuforums posted a x86 deb package of 0.9.56. it works perfectly fine for me.

Revision history for this message
Alvaro Leal (Effenberg0x0) (effenberg0x0) wrote :

I tried it and it did not work on Hardy.
However, I found out that when I boot using kernel 2.6.22-14, any version of wine, from Ubuntu repos or WineHQ, works perfectly.

Regards,
Effenberg

Revision history for this message
Marcelo Atie (marceloatie) wrote :

WineHQ is perfect for me too

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

@Marcelo: does he provide the source package too? if so, we could have a look...

regards,

\sh

Revision history for this message
Jeffrey Ratcliffe (jeffreyratcliffe) wrote :

Installing from http://wine.budgetdedicated.com/archive/ubuntu/gutsy/wine_0.9.55~winehq0~ubuntu~7.10-1_i386.deb wine works, but from repository get "segmentation fault".

I notice too that the Ubuntu native build was ~34Mb, whereas the winehq build was ~9Mb.

Revision history for this message
Scott Ritchie (scottritchie) wrote :

There was some discussion on Wine bugzilla about a regression in fontforge causing the problem. We may need to push a newer fontforge in as well.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

@Scott,

compiling wine from source directly on the system without using pbuilder/sbuild works...even after make install and running wine from /usr/bin...
building it via sbuild/pbuilder and building a package doesn't work

Strange, but true.

Revision history for this message
Alvaro Leal (Effenberg0x0) (effenberg0x0) wrote :

I agree that using the Wine deb from Wine HQ works for running windows apps, but only after some tweaking. I found out that compiling 0.9.54 or 0.9.55 from source, getting debs from this versions from WineHQ or the latest deb from Ubuntu repo would produce the same segfaults when trying to run winecfg for example.

The only way it accepted to run and create ~/.wine for me was by booting in 2.6.22-14. Then, any of the builds described above works normally. I used this kernel version to install Windows apps and set up Wine.

However, now that I booted on kernel 2.6.24-11, I can't run Windows apps, wine apps still segfault. 2.6.24-10 gives me the same results.

effenberg@effenberg-mobile:~$ uname -a
Linux effenberg-mobile 2.6.24-11-generic #1 SMP Fri Feb 29 22:08:31 UTC 2008 i686 GNU/Linux
effenberg@effenberg-mobile:~$ wine
Usage: wine PROGRAM [ARGUMENTS...] Run the specified program
       wine --help Display this help and exit
       wine --version Output version information and exit
effenberg@effenberg-mobile:~$ wine --version
wine-0.9.55
effenberg@effenberg-mobile:~$ winecfg
Falha de segmentação (core dumped)
effenberg@effenberg-mobile:~$ winemine
Falha de segmentação (core dumped)
effenberg@effenberg-mobile:~$

Thanks,
Effenberg

Revision history for this message
Matthew Tighe (tighem) wrote :

Stephan Hermann appears to have upload this version, assigning to him.

Changed in wine:
assignee: nobody → shermann
Revision history for this message
Nobu (benjo316) wrote :

Just updated to Wine version 0.9.56~winehq0~ubuntu-7.10-1 from the Wine(budgetdedicated) repository and it doesn't segfault(at least with winecfg... haven't tested with other programs yet)! ^.^

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

Please do not assign bugs randomly...I'm subscribed to all wine bugs by default...

Changed in wine:
assignee: shermann → nobody
Revision history for this message
Stephan Rügamer (sruegamer) wrote :

The problem itself is not wine.

the problem lies in the deep magic of sbuild ...

Revision history for this message
Scott Ritchie (scottritchie) wrote :

Could kernel versions matter to sbuild?

Revision history for this message
Albert Damen (albrt) wrote :

I think I have got a working wine package again. It builds in a Hardy amd64 pbuilder and testing wine wordpad and winecfg works fine on hardy amd64.
The problem seems to be in the LDFLAGS set by the new dpkg-buildpackage: -Wl,-Bsymbolic-functions. I found another reference to this problem on http://www.winehq.org/pipermail/wine-bugs/2007-July/062505.html.
Secondly, dh_strip also resulted in segfaults. Excluding wine-pthread and wine-kthread from dh_strip solves that problem, and also results in stripped binaries and working dbgsym package (fixes 185513).
Attached is the debdiff against wine 0.9.55-0ubuntu1.

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

@albert:

thx for this...it works...and somehow i missed the wine-bugs report because the bug itself was closed/invalid :(

wine 0.9.56 is just an hour away from us :)

\sh

Revision history for this message
Stephan Rügamer (sruegamer) wrote :

@Scott,

nope...I have a working wine package in the meantime..thx to albert...

\sh

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wine - 0.9.56-0ubuntu1

---------------
wine (0.9.56-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #197588)
    - Proper handling of OpenGL/Direct3D windows with menu bars.
    - Stubs for all the d3dx9_xx dlls.
    - Several graphics optimizations.
    - Many installer fixes.
    - Improved MIME message support.
    - Lots of bug fixes.
  * debian/rules:
    - reset LDFLAGS to let wine not crash anymore, (LP: #191575)
      thx to Albert Damen <email address hidden> who came up with this solution.
      (http://www.winehq.org/pipermail/wine-bugs/2007-July/062505.html)
    - adjust dh_strip call (LP: #185513)
  * debian/control:
    - remove gcc-3.4 build-dep
    - get rid of quilt
  * cleaned debian/patches
  * Add finnish translation to desktop files (LP: #196916)
  * dlls/winealsa.drv/waveinit.c: (LP: #195507)
    - let wine use the default alsa device
      (http://bugs.winehq.org/show_bug.cgi?id=10942)
  * Preloader warning (preloader: Warning: failed to reserve range
    00000000-60000000) does not occure anymore (LP: #114025)

 -- Stephan Hermann <email address hidden> Fri, 22 Feb 2008 20:10:36 +0100

Changed in wine:
status: Confirmed → Fix Released
Revision history for this message
Stephen Cradock (s-cradock) wrote :

That's nice, but the new version still has the marlett.ttf bug, whereas the 0.9.55-winehq version
 (wine_0.9.55~winehq0~ubuntu~7.10-1_i386) doesn't. Would it be possible to include the (?old) marlett font version instead of the one that gives incorrect symbols? See

http://bugs.winehq.org/show_bug.cgi?id=10660

for the background; I don't know why the winehq version is fixed and ours isn't......

Revision history for this message
Scott Ritchie (scottritchie) wrote :

It's because we're using a newer fontforge, which has a regression.

An even newer fontforge will fix the problem - we might need to ask for a UVF exception for it, though.

Revision history for this message
Benjamin Sterrett (raynjamin) wrote :

Has anyone else experienced this bug on Gutsy with later versions of Wine (0.9.59)?

Revision history for this message
Mark Rijckenberg (markrijckenberg) wrote :

Hi,

Too bad the problem still occurs in the final version of Kubuntu Hardy Heron. At least I have a working workaround for the issue (thanks to suggestions in this bug report)....

I had the exact same kinds of segfaults on the 2 most recent Kubuntu Hardy Heron kernels and on the last 2 Hardy Heron versions of wine (versions 0.9.59 and 0.9.61). The 2 kernels I did the debugging on were 2.6.24-15-generic and 2.6.24-16-generic.

I had the same 'valgrind -v' debugging output as was mentioned here: https://bugs.launchpad.net/ubuntu/+source/wine/+bug/191575/comments/11

Following workaround also worked for me: https://bugs.launchpad.net/ubuntu/+source/wine/+bug/191575/comments/32

I first removed the Hardy Heron repository version of wine (that was broken on my system) and replaced it with the wine version 0.9.55 that I downloaded from http://wine.budgetdedicated.com/archive/ubuntu/gutsy/wine_0.9.55~winehq0~ubuntu~7.10-1_i386.deb using Firefox, NOT via apt-get or aptitude...

That solved my issue. wine and winecfg work correctly now....

Regards,

Mark

Revision history for this message
stephenb (stephenb-snu) wrote :

I've had not joy with any version of wine since upgrading to Hardy.

I've tried 0.9.55, 0.9.56, 0.9.59, 0.9.61, and the latest wine update, 1.0-rc2, like all the others, gives me this:

wine[10346]: segfault at 4a6c3f68 rip 4a6c3f68 rsp ffd40ccc error 15

Revision history for this message
stephenb (stephenb-snu) wrote :

I'd like to confirm that this problem still exist with the new release of wine, version 1.0~rc3~winehq0~ubuntu~8.04-1

wine[31665]: segfault at 4a6c3f68 rip 4a6c3f68 rsp ff7fd80c error 15

Revision history for this message
Daniel Hahler (blueyed) wrote :

stephenb, 1.0~rc3~winehq0~ubuntu~8.04-1 is not from the Ubuntu repository.
Does 0.9.59-0ubuntu5 crash for you, too? Can you provide an apport report for it (through a new bug report)? (enable apport in /etc/default/apport, "sudo invoke-rc.d apport restart" (to be on the safe side) and then produce the crash). Please note that apport only works for packages from the Ubuntu repo though.

Revision history for this message
unggnu (unggnu) wrote :

I guess that a lib or something like that is missing. You can easily recheck it with a liveCD and an internet connection.

Revision history for this message
stephenb (stephenb-snu) wrote :

Hi Daniel,
Yes, 0.9.59-0ubuntu5 crashes. I listed the versions earlier that I've tried. I reinstalled 0.9.59-0ubuntu5 and this is when I get when I try to run Notepad, for example:

    wine[15061]: segfault at 4a6c3f68 rip 4a6c3f68 rsp ffe68dfc error 15

Apport doesn't generate anything automatically, at least not in /var/crash. I ran a command I'd noticed on a website, apport-cli -f -p wine. It generated information and opened up a browser at launchpad, ready for me to submit a new report, but I don't want to do that. I just need the info to put here. So, I'm not sure how to use apport to generate a report I can cut and paste.

I should mention that since upgrading to Hardy, I've been getting many segfaults, more than I've even seen in my life!

Revision history for this message
Bryan Donlan (bdonlan) wrote :

stephenb, what is the output of this command:

cat /proc/sys/vm/mmap_min_addr

Revision history for this message
stephenb (stephenb-snu) wrote :

Hi Bryan,

$ cat /proc/sys/vm/mmap_min_addr
65536

Is that significant?

Revision history for this message
Bryan Donlan (bdonlan) wrote :

Could be. Try this (as root):

echo 0 > /proc/sys/vm/mmap_min_addr

Revision history for this message
stephenb (stephenb-snu) wrote :

Hi,
Once I tried that command, I got a blank line, and then of course a 0 after running cat /proc/sys/vm/mmap_min_addr

I then ran winecfg. A segfault resulted again. However, an apport report was triggered which may shed some more light on the problem.

The new bug report generated by apport is here:
https://bugs.launchpad.net/ubuntu/+source/wine/+bug/236770

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.